> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List workbook pages for a workbook

GET https://api.sigmacomputing.com/v2/workbooks/{workbookId}/pages

This endpoint retrieves a list of all pages contained within a specified workbook. It is useful for applications needing to display an overview or navigate through different pages of a workbook.

### Usage notes
- Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
- To retrieve pages from version-tagged workbooks, pass the `tag` in the query parameters with the tag name. Retrieve the tag name by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint and using the `tags.name` included in the response for a given workbook.
- To retrieve pages from a bookmark (saved view), pass the `bookmarkId` in the query parameters. Retrieve the bookmarkId by calling the [/v2/workbooks/{workbookId}/bookmarks](https://help.sigmacomputing.com/reference/get-workbook-bookmarks) or [/v2/workbooks/{workbookId}/tags/:tagName/bookmarks](https://help.sigmacomputing.com/reference/get-tagged-workbook-bookmarks) endpoints.

### Usage scenarios
- **Navigation:** Helps users and applications navigate through different pages of a workbook efficiently.
- **Content Discovery:** Allows users to quickly view and access the variety of pages contained within a workbook.

### Best practices
- Always name pages to make it easy for users to navigate.
- Utilize pagination to manage and streamline the retrieval of large numbers of pages.
- Ensure that users or systems querying this endpoint have appropriate permissions to access the workbook's content.

Reference: https://help.sigmacomputing.com/reference/list-workbook-pages

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/workbooks/{workbookId}/pages:
    get:
      operationId: listWorkbookPages
      summary: List workbook pages for a workbook
      description: >-
        This endpoint retrieves a list of all pages contained within a specified
        workbook. It is useful for applications needing to display an overview
        or navigate through different pages of a workbook.


        ### Usage notes

        - Retrieve the **workbookId** by calling the
        [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks)
        endpoint.

        - To retrieve pages from version-tagged workbooks, pass the `tag` in the
        query parameters with the tag name. Retrieve the tag name by calling the
        [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks)
        endpoint and using the `tags.name` included in the response for a given
        workbook.

        - To retrieve pages from a bookmark (saved view), pass the `bookmarkId`
        in the query parameters. Retrieve the bookmarkId by calling the
        [/v2/workbooks/{workbookId}/bookmarks](https://help.sigmacomputing.com/reference/get-workbook-bookmarks)
        or
        [/v2/workbooks/{workbookId}/tags/:tagName/bookmarks](https://help.sigmacomputing.com/reference/get-tagged-workbook-bookmarks)
        endpoints.


        ### Usage scenarios

        - **Navigation:** Helps users and applications navigate through
        different pages of a workbook efficiently.

        - **Content Discovery:** Allows users to quickly view and access the
        variety of pages contained within a workbook.


        ### Best practices

        - Always name pages to make it easy for users to navigate.

        - Utilize pagination to manage and streamline the retrieval of large
        numbers of pages.

        - Ensure that users or systems querying this endpoint have appropriate
        permissions to access the workbook's content.
      tags:
        - Workbooks
      parameters:
        - name: workbookId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: tag
          in: query
          required: false
          schema:
            type: string
        - name: bookmarkId
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workbooks_listWorkbookPages_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2WorkbooksWorkbookIdPagesGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        pageId:
          type: string
          description: Unique identifier of the workbook page.
        name:
          type: string
        hidden:
          type: boolean
      required:
        - pageId
      title: >-
        V2WorkbooksWorkbookIdPagesGetResponsesContentApplicationJsonSchemaEntriesItems
    workbooks_listWorkbookPages_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2WorkbooksWorkbookIdPagesGetResponsesContentApplicationJsonSchemaEntriesItems
        nextPage:
          type:
            - string
            - 'null'
        total:
          type: number
          format: double
      required:
        - entries
        - nextPage
      title: workbooks_listWorkbookPages_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "pageId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
      "name": "Sales Overview Q2 2024",
      "hidden": false
    },
    {
      "pageId": "b2c3d4e5-f678-9012-ab34-cd56ef789012",
      "name": "Customer Segmentation Analysis",
      "hidden": false
    },
    {
      "pageId": "c3d4e5f6-7890-1234-bc56-de78fa901234",
      "name": "Internal Notes",
      "hidden": true
    }
  ],
  "nextPage": "eyJwYWdlIjoiMjAwIn0=",
  "total": 3
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/workbooks/workbookId/pages"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/workbooks/workbookId/pages';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/workbooks/workbookId/pages"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/workbooks/workbookId/pages")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/workbooks/workbookId/pages")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/workbooks/workbookId/pages', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/workbooks/workbookId/pages");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/workbooks/workbookId/pages")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```